Package com.sun.jna.platform.win32

## Class WinNT.SYSTEM_POWER_POLICY

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.SYSTEM_POWER_POLICY

Enclosing interface:
  WinNT

    @FieldOrder({"Revision","PowerButton","SleepButton","LidClose","LidOpenWake","Reserved","Idle","IdleTimeout","IdleSensitivity","DynamicThrottle","Spare2","MinSleep","MaxSleep","ReducedLatencySleep","WinLogonFlags","Spare3","DozeS4Timeout","BroadcastCapacityResolution","DischargePolicy","VideoTimeout","VideoDimDisplay","VideoReserved","SpindownTimeout","OptimizeForPower","FanThrottleTolerance","ForcedThrottle","MinThrottle","OverThrottled"})
    public static class WinNT.SYSTEM_POWER_POLICY
    extends Structure

Contains information about the current system power policy.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `BroadcastCapacityResolution`
`WinNT.SYSTEM_POWER_LEVEL[]` `DischargePolicy`
`int` `DozeS4Timeout`
`byte` `DynamicThrottle`
`byte` `FanThrottleTolerance`
`byte` `ForcedThrottle`
`WinNT.POWER_ACTION_POLICY` `Idle`
`byte` `IdleSensitivity`
`int` `IdleTimeout`
`WinNT.POWER_ACTION_POLICY` `LidClose`
`int` `LidOpenWake`
`int` `MaxSleep`
`int` `MinSleep`
`byte` `MinThrottle`
`byte` `OptimizeForPower`
`WinNT.POWER_ACTION_POLICY` `OverThrottled`
`WinNT.POWER_ACTION_POLICY` `PowerButton`
`int` `ReducedLatencySleep`
`int` `Reserved`
`int` `Revision`
`WinNT.POWER_ACTION_POLICY` `SleepButton`
`byte[]` `Spare2`
`int` `Spare3`
`int` `SpindownTimeout`
`byte` `VideoDimDisplay`
`int[]` `VideoReserved`
`int` `VideoTimeout`
`int` `WinLogonFlags`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`SYSTEM_POWER_POLICY()`
`SYSTEM_POWER_POLICY​(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### Revision

    public int Revision

#### PowerButton

    public WinNT.POWER_ACTION_POLICY PowerButton

#### SleepButton

    public WinNT.POWER_ACTION_POLICY SleepButton

#### LidClose

    public WinNT.POWER_ACTION_POLICY LidClose

#### LidOpenWake

    public int LidOpenWake

#### Reserved

    public int Reserved

#### Idle

    public WinNT.POWER_ACTION_POLICY Idle

#### IdleTimeout

    public int IdleTimeout

#### IdleSensitivity

    public byte IdleSensitivity

#### DynamicThrottle

    public byte DynamicThrottle

#### Spare2

    public byte[] Spare2

#### MinSleep

    public int MinSleep

#### MaxSleep

    public int MaxSleep

#### ReducedLatencySleep

    public int ReducedLatencySleep

#### WinLogonFlags

    public int WinLogonFlags

#### Spare3

    public int Spare3

#### DozeS4Timeout

    public int DozeS4Timeout

#### BroadcastCapacityResolution

    public int BroadcastCapacityResolution

#### DischargePolicy

    public WinNT.SYSTEM_POWER_LEVEL[] DischargePolicy

#### VideoTimeout

    public int VideoTimeout

#### VideoDimDisplay

    public byte VideoDimDisplay

#### VideoReserved

    public int[] VideoReserved

#### SpindownTimeout

    public int SpindownTimeout

#### OptimizeForPower

    public byte OptimizeForPower

#### FanThrottleTolerance

    public byte FanThrottleTolerance

#### ForcedThrottle

    public byte ForcedThrottle

#### MinThrottle

    public byte MinThrottle

#### OverThrottled

    public WinNT.POWER_ACTION_POLICY OverThrottled

### Constructor Detail

#### SYSTEM_POWER_POLICY

    public SYSTEM_POWER_POLICY​(Pointer p)

#### SYSTEM_POWER_POLICY

    public SYSTEM_POWER_POLICY()